Package ghidra.app.util.bin.format.macho

# Class SectionAttributes

java.lang.Object
ghidra.app.util.bin.format.macho.SectionAttributes

public final class SectionAttributes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `S_ATTR_EXT_RELOC`
  Attribute: section has external relocation entries
  `static final int`
  `S_ATTR_LIVE_SUPPORT`
  Attribute: section must
  `static final int`
  `S_ATTR_LOC_RELOC`
  Attribute: section has local relocation entries
  `static final int`
  `S_ATTR_NO_DEAD_STRIP`
  Attribute: section must not be dead-stripped.
  `static final int`
  `S_ATTR_NO_TOC`
  Attribute: section contains coalesced symbols that are not to be in a ranlib table of contents
  `static final int`
  `S_ATTR_PURE_INSTRUCTIONS`
  Attribute: section contains only true machine instructions
  `static final int`
  `S_ATTR_SELF_MODIFYING_CODE`
  Attribute: Used with i386 code stubs written on by dyld
  `static final int`
  `S_ATTR_SOME_INSTRUCTIONS`
  Attribute: section contains some machine instructions
  `static final int`
  `S_ATTR_STRIP_STATIC_SYMS`
  Attribute: ok to strip static symbols in this section in files with the MH_DYLDLINK flag
  `static final int`
  `SECTION_ATTRIBUTES_MASK`
  24 section attributes
  `static final int`
  `SECTION_ATTRIBUTES_SYS`
  Attribute: system setable attributes
  `static final int`
  `SECTION_ATTRIBUTES_USR`
  Attribute: User setable attributes

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SectionAttributes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final List<String>`
  `getAttributeNames(int attributes)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SECTION_ATTRIBUTES_MASK

    public static final int SECTION_ATTRIBUTES_MASK
    24 section attributes
    See Also:
      - Constant Field Values

  - ### SECTION_ATTRIBUTES_USR

    public static final int SECTION_ATTRIBUTES_USR
    Attribute: User setable attributes
    See Also:
      - Constant Field Values

  - ### SECTION_ATTRIBUTES_SYS

    public static final int SECTION_ATTRIBUTES_SYS
    Attribute: system setable attributes
    See Also:
      - Constant Field Values

  - ### S_ATTR_PURE_INSTRUCTIONS

    public static final int S_ATTR_PURE_INSTRUCTIONS
    Attribute: section contains only true machine instructions
    See Also:
      - Constant Field Values

  - ### S_ATTR_NO_TOC

    public static final int S_ATTR_NO_TOC
    Attribute: section contains coalesced symbols that are not to be in a ranlib table of contents
    See Also:
      - Constant Field Values

  - ### S_ATTR_STRIP_STATIC_SYMS

    public static final int S_ATTR_STRIP_STATIC_SYMS
    Attribute: ok to strip static symbols in this section in files with the MH_DYLDLINK flag
    See Also:
      - Constant Field Values

  - ### S_ATTR_NO_DEAD_STRIP

    public static final int S_ATTR_NO_DEAD_STRIP
    Attribute: section must not be dead-stripped. (see "linking" in xcode2 user guide)
    See Also:
      - Constant Field Values

  - ### S_ATTR_LIVE_SUPPORT

    public static final int S_ATTR_LIVE_SUPPORT
    Attribute: section must
    See Also:
      - Constant Field Values

  - ### S_ATTR_SELF_MODIFYING_CODE

    public static final int S_ATTR_SELF_MODIFYING_CODE
    Attribute: Used with i386 code stubs written on by dyld
    See Also:
      - Constant Field Values

  - ### S_ATTR_SOME_INSTRUCTIONS

    public static final int S_ATTR_SOME_INSTRUCTIONS
    Attribute: section contains some machine instructions
    See Also:
      - Constant Field Values

  - ### S_ATTR_EXT_RELOC

    public static final int S_ATTR_EXT_RELOC
    Attribute: section has external relocation entries
    See Also:
      - Constant Field Values

  - ### S_ATTR_LOC_RELOC

    public static final int S_ATTR_LOC_RELOC
    Attribute: section has local relocation entries
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SectionAttributes

    public SectionAttributes()

- ## Method Details

  - ### getAttributeNames

    public static final List<String> getAttributeNames(int attributes)